class Widget {
    constructor(widget) {
        this.wId = widget.wId;
        this.name = widget.name;
        this.type = widget.type;
        this.tableName = widget.tableName;
        this.viewAttr = widget.viewAttr;
        this.allowOverlap = widget.allowOverlap;
        this.showTitle = widget.showTitle;
        this.view = widget.view;
        this.dimensions = widget.dimensions;
        this.allData = widget.allData;
        this.settings = widget.settings;
        this.linkageSetting = widget.linkageSetting;
        this.linkage = widget.linkage;
        this.jump = widget.jump;
        this.drillOrder = widget.drillOrder;
        this.resultFilter = widget.resultFilter;
        this.equallyDivideColumn = widget.equallyDivideColumn;
        this.measures = widget.measures;
    }

    getWidgetName() {
        return this.name;
    }

    getPlainWidgetName() {
        if (!this.pureName) {
            this.pureName = Utils.getPlainText(this.getWidgetName());        
        }

        return this.pureName;
    }

    getWidgetType() {
        return this.type;
    }

}