class Paper_1 {
    
    constructor(report) {
        this.report = new Report(report);
    }

    /**
     * 评分
     */
    score() {
        // 总分数
        let scores = [];

        // 获取需要进行配置对比的组件
        const wName1 = "年月访问趋势";
        const widget = this.report.getWidgetByName(wName1);
        if (!widget) {
            alert("未找到" + wName1 + "对应组件");
            return 0;
        }

        // 得分点1 - 组件名是xxx的组件
        scores.push(this.score_1);
        // 评分点2 - 组件名是xxx的组件
        scores.push(this.score_1);


        return scores.reduce((pre, cur, curIdx) => {
            const div = document.createElement("div");
            const curScore = cur(widget);
            div.innerText = "评分点" + (curIdx + 1) + "：" + curScore + "分";
            document.getElementById("console").append(div);
            return pre + curScore;
        }, 0);
    }

    /**
     * 评分点1-标题名称为 "名校区消费情况"
     */
    score_1(widget) {
        if (widget.getPlainWidgetName() === '年月访问趋势') {
            return 1;            
        } 

        return 0;
    }

    /**
     * 评分点2-分组表
     */
     score_2(widget) {
        if (widget.getWidgetType() === 1) {
            return 1;
        }

        return 0;
    }

}
//     "version": 20210913,
//     "layoutRatio": {
//         "x": 0.3611,
//         "y": 0.0556
//     },
//     "freeLayoutRatio": {
//         "x": 1,
//         "y": 1
//     },
//     "layoutType": 0,
//     "widgets": {
//         "dbc9d624ddaa0f19": {
//             "type": 5,
//             "tableName": "分析表1",
//             "timeStamp": 1547435306190,
//             "bounds": {
//                 "height": 347.5,
//                 "left": 623.4999999999995,
//                 "top": 278.00000000000006,
//                 "width": 1177.722222222222
//             },
//             "name": "<p style=\"text-align: center;\"><font color=\"#2ca9e1\">年月访问趋势</font></p>",
//             "viewAttr": {
//                 "10000": {
//                     "type": 1,
//                     "left": {
//                         "sharedAxis": null,
//                         "reversed": false,
//                         "log": false,
//                         "sharedDomain": true
//                     },
//                     "right": {
//                         "sharedAxis": null,
//                         "reversed": false,
//                         "log": false,
//                         "sharedDomain": true
//                     },
//                     "size": 0
//                 },
//                 "20000": {
//                     "type": 1,
//                     "size": 0
//                 },
//                 "30000": {
//                     "type": 2,
//                     "left": {
//                         "sharedAxis": null,
//                         "reversed": false,
//                         "log": false,
//                         "sharedDomain": true
//                     },
//                     "right": {
//                         "sharedAxis": null,
//                         "reversed": false,
//                         "log": false,
//                         "sharedDomain": true
//                     },
//                     "size": 0
//                 }
//             },
//             "allowOverlap": true,
//             "showTitle": true,
//             "mobile": false,
//             "view": {
//                 "10000": [
//                     "34da90eaf09d44ab"
//                 ],
//                 "20000": [],
//                 "30000": [
//                     "80fe94b6a4ed6d83",
//                     "4de250f72de26a23"
//                 ]
//             },
//             "dimensions": {
//                 "34da90eaf09d44ab": {
//                     "name": "统计日期",
//                     "type": 3,
//                     "notShowNull": false,
//                     "id": "34da90eaf09d44ab",
//                     "fieldId": "分析表1_[7edf][8ba1][65e5][671f]",
//                     "toCountType": 0,
//                     "group": {
//                         "type": 17
//                     },
//                     "calculation": {
//                         "type": 0,
//                         "value": 0
//                     },
//                     "settings": {
//                         "trendLine": [],
//                         "cordon": [],
//                         "categoryAxis": {
//                             "label": {
//                                 "displayed": true,
//                                 "displayType": null,
//                                 "interval": null,
//                                 "rotation": 0,
//                                 "fontStyle": {
//                                     "auto": false,
//                                     "type": 0,
//                                     "fontFamily": "Verdana",
//                                     "fontSize": 10,
//                                     "fontColor": "#cad2d8",
//                                     "fontBold": false,
//                                     "bold": false,
//                                     "italic": false,
//                                     "fontAlign": 0
//                                 }
//                             },
//                             "title": {
//                                 "displayed": false,
//                                 "title": "统计日期",
//                                 "fontStyle": {
//                                     "auto": true,
//                                     "type": 0,
//                                     "fontFamily": "Microsoft YaHei",
//                                     "fontSize": 13,
//                                     "fontColor": "",
//                                     "fontBold": false,
//                                     "bold": false,
//                                     "italic": false,
//                                     "fontAlign": 0
//                                 },
//                                 "modified": false
//                             }
//                         },
//                         "valueAxis": {
//                             "sharedAxis": null,
//                             "reversed": false,
//                             "log": false,
//                             "sharedDomain": true
//                         },
//                         "annotate": [],
//                         "size": 0,
//                         "stack": false,
//                         "formatStyle": 1,
//                         "formatDecimal": -1,
//                         "numLevel": 1,
//                         "showType": 0,
//                         "numSeparators": true,
//                         "showHeaderPercent": false,
//                         "showSum": true,
//                         "unit": "",
//                         "dateFormat": {},
//                         "flash": [],
//                         "imageData": []
//                     },
//                     "showMissingTime": false,
//                     "metric": 0,
//                     "counterDep": "TOTAL_ROWS",
//                     "repeatCal": true,
//                     "formatStyle": 0,
//                     "formatDecimal": 0,
//                     "numLevel": 0,
//                     "numSeparators": false,
//                     "used": true,
//                     "drillDimensions": {}
//                 },
//                 "80fe94b6a4ed6d83": {
//                     "name": "浏览量",
//                     "type": 2,
//                     "notShowNull": false,
//                     "id": "80fe94b6a4ed6d83",
//                     "fieldId": "分析表1_[6d4f][89c8][91cf]",
//                     "toCountType": 0,
//                     "group": {
//                         "type": 3
//                     },
//                     "calculation": {
//                         "type": 0,
//                         "value": 0
//                     },
//                     "settings": {
//                         "trendLine": [],
//                         "cordon": [],
//                         "categoryAxis": {},
//                         "valueAxis": {
//                             "label": {
//                                 "displayed": false,
//                                 "displayType": null,
//                                 "interval": null,
//                                 "rotation": 0,
//                                 "fontStyle": {
//                                     "auto": true,
//                                     "type": 0,
//                                     "fontFamily": "Microsoft YaHei",
//                                     "fontSize": 12,
//                                     "fontColor": "",
//                                     "fontBold": false,
//                                     "bold": false,
//                                     "italic": false,
//                                     "fontAlign": 0
//                                 }
//                             },
//                             "title": {
//                                 "displayed": true,
//                                 "title": "浏览量",
//                                 "fontStyle": {
//                                     "auto": false,
//                                     "type": 0,
//                                     "fontFamily": "Microsoft YaHei",
//                                     "fontSize": 10,
//                                     "fontColor": "#cad2d8",
//                                     "fontBold": false,
//                                     "bold": false,
//                                     "italic": false,
//                                     "fontAlign": 0
//                                 },
//                                 "modified": false
//                             },
//                             "sharedAxis": "0",
//                             "customScale": {
//                                 "valid": false,
//                                 "minScale": "",
//                                 "maxScale": "",
//                                 "intervalScale": ""
//                             },
//                             "reversed": false,
//                             "log": false,
//                             "sharedDomain": true
//                         },
//                         "annotate": [],
//                         "size": 20,
//                         "stack": false,
//                         "formatStyle": 1,
//                         "formatDecimal": -1,
//                         "numLevel": 1,
//                         "showType": 0,
//                         "numSeparators": true,
//                         "showHeaderPercent": false,
//                         "showSum": true,
//                         "unit": "",
//                         "dateFormat": {},
//                         "flash": [],
//                         "imageData": []
//                     },
//                     "showMissingTime": false,
//                     "metric": 0,
//                     "counterDep": "TOTAL_ROWS",
//                     "repeatCal": true,
//                     "formatStyle": 0,
//                     "formatDecimal": 0,
//                     "numLevel": 0,
//                     "numSeparators": false,
//                     "used": true,
//                     "drillDimensions": {}
//                 },
//                 "4de250f72de26a23": {
//                     "name": "访问次数",
//                     "type": 2,
//                     "notShowNull": false,
//                     "id": "4de250f72de26a23",
//                     "fieldId": "分析表1_[8bbf][95ee][6b21][6570]",
//                     "toCountType": 0,
//                     "group": {
//                         "type": 3
//                     },
//                     "calculation": {
//                         "type": 0,
//                         "value": 0
//                     },
//                     "settings": {
//                         "trendLine": [],
//                         "cordon": [],
//                         "categoryAxis": {},
//                         "valueAxis": {
//                             "label": {
//                                 "displayed": false,
//                                 "displayType": null,
//                                 "interval": null,
//                                 "rotation": 0,
//                                 "fontStyle": {
//                                     "auto": true,
//                                     "type": 0,
//                                     "fontFamily": "Microsoft YaHei",
//                                     "fontSize": 12,
//                                     "fontColor": "",
//                                     "fontBold": false,
//                                     "bold": false,
//                                     "italic": false,
//                                     "fontAlign": 0
//                                 }
//                             },
//                             "title": {
//                                 "displayed": true,
//                                 "title": "访问次数",
//                                 "fontStyle": {
//                                     "auto": false,
//                                     "type": 0,
//                                     "fontFamily": "Microsoft YaHei",
//                                     "fontSize": 10,
//                                     "fontColor": "#cad2d8",
//                                     "fontBold": false,
//                                     "bold": false,
//                                     "italic": false,
//                                     "fontAlign": 0
//                                 },
//                                 "modified": false
//                             },
//                             "sharedAxis": "0",
//                             "customScale": {
//                                 "valid": false,
//                                 "minScale": "",
//                                 "maxScale": "",
//                                 "intervalScale": ""
//                             },
//                             "reversed": false,
//                             "log": false,
//                             "sharedDomain": true
//                         },
//                         "annotate": [],
//                         "size": 20,
//                         "stack": false,
//                         "formatStyle": 1,
//                         "formatDecimal": -1,
//                         "numLevel": 1,
//                         "showType": 0,
//                         "numSeparators": true,
//                         "showHeaderPercent": false,
//                         "showSum": true,
//                         "unit": "",
//                         "dateFormat": {},
//                         "flash": [],
//                         "imageData": []
//                     },
//                     "showMissingTime": false,
//                     "metric": 0,
//                     "counterDep": "TOTAL_ROWS",
//                     "repeatCal": true,
//                     "formatStyle": 0,
//                     "formatDecimal": 0,
//                     "numLevel": 0,
//                     "numSeparators": false,
//                     "used": true,
//                     "drillDimensions": {}
//                 },
//                 "ee06940af2c06335": {
//                     "name": "指标名称",
//                     "type": 7,
//                     "notShowNull": false,
//                     "id": "ee06940af2c06335",
//                     "fieldId": "__target_name_field_id__",
//                     "toCountType": 0,
//                     "group": {
//                         "type": 11
//                     },
//                     "calculation": {
//                         "type": 0,
//                         "value": 0
//                     },
//                     "settings": {
//                         "trendLine": [],
//                         "cordon": [],
//                         "categoryAxis": {},
//                         "valueAxis": {
//                             "sharedAxis": null,
//                             "reversed": false,
//                             "log": false,
//                             "sharedDomain": true
//                         },
//                         "annotate": [],
//                         "size": 0,
//                         "stack": false,
//                         "formatStyle": 1,
//                         "formatDecimal": -1,
//                         "numLevel": 1,
//                         "showType": 0,
//                         "numSeparators": true,
//                         "showHeaderPercent": false,
//                         "showSum": true,
//                         "unit": "",
//                         "dateFormat": {},
//                         "flash": [],
//                         "imageData": []
//                     },
//                     "showMissingTime": false,
//                     "metric": 0,
//                     "counterDep": "TOTAL_ROWS",
//                     "repeatCal": true,
//                     "formatStyle": 0,
//                     "formatDecimal": 0,
//                     "numLevel": 0,
//                     "numSeparators": false,
//                     "used": true,
//                     "drillDimensions": {}
//                 },
//                 "20b9328f64cd69ee": {
//                     "name": "指标名称",
//                     "type": 7,
//                     "notShowNull": false,
//                     "id": "20b9328f64cd69ee",
//                     "fieldId": "__target_name_field_id__",
//                     "toCountType": 0,
//                     "group": {
//                         "type": 11
//                     },
//                     "calculation": {
//                         "type": 0,
//                         "value": 0
//                     },
//                     "settings": {
//                         "trendLine": [],
//                         "cordon": [],
//                         "categoryAxis": {},
//                         "valueAxis": {
//                             "sharedAxis": null,
//                             "reversed": false,
//                             "log": false,
//                             "sharedDomain": true
//                         },
//                         "annotate": [],
//                         "size": 0,
//                         "stack": false,
//                         "formatStyle": 1,
//                         "formatDecimal": -1,
//                         "numLevel": 1,
//                         "showType": 0,
//                         "numSeparators": true,
//                         "showHeaderPercent": false,
//                         "showSum": true,
//                         "unit": "",
//                         "dateFormat": {},
//                         "flash": [],
//                         "imageData": []
//                     },
//                     "showMissingTime": false,
//                     "metric": 0,
//                     "counterDep": "TOTAL_ROWS",
//                     "repeatCal": true,
//                     "formatStyle": 0,
//                     "formatDecimal": 0,
//                     "numLevel": 0,
//                     "numSeparators": false,
//                     "used": true,
//                     "drillDimensions": {}
//                 },
//                 "af57516db4446ceb": {
//                     "name": "指标名称",
//                     "type": 7,
//                     "notShowNull": false,
//                     "id": "af57516db4446ceb",
//                     "fieldId": "__target_name_field_id__",
//                     "toCountType": 0,
//                     "group": {
//                         "type": 11
//                     },
//                     "calculation": {
//                         "type": 0,
//                         "value": 0
//                     },
//                     "settings": {
//                         "trendLine": [],
//                         "cordon": [],
//                         "categoryAxis": {},
//                         "valueAxis": {
//                             "sharedAxis": null,
//                             "reversed": false,
//                             "log": false,
//                             "sharedDomain": true
//                         },
//                         "annotate": [],
//                         "size": 0,
//                         "stack": false,
//                         "formatStyle": 1,
//                         "formatDecimal": -1,
//                         "numLevel": 1,
//                         "showType": 0,
//                         "numSeparators": true,
//                         "showHeaderPercent": false,
//                         "showSum": true,
//                         "unit": "",
//                         "dateFormat": {},
//                         "flash": [],
//                         "imageData": []
//                     },
//                     "showMissingTime": false,
//                     "metric": 0,
//                     "counterDep": "TOTAL_ROWS",
//                     "repeatCal": true,
//                     "formatStyle": 0,
//                     "formatDecimal": 0,
//                     "numLevel": 0,
//                     "numSeparators": false,
//                     "used": true,
//                     "drillDimensions": {}
//                 },
//                 "bce30ce43b0f3786": {
//                     "name": "指标名称",
//                     "type": 7,
//                     "notShowNull": false,
//                     "id": "bce30ce43b0f3786",
//                     "fieldId": "__target_name_field_id__",
//                     "toCountType": 0,
//                     "group": {
//                         "type": 11
//                     },
//                     "calculation": {
//                         "type": 0,
//                         "value": 0
//                     },
//                     "settings": {
//                         "trendLine": [],
//                         "cordon": [],
//                         "categoryAxis": {},
//                         "valueAxis": {
//                             "sharedAxis": null,
//                             "reversed": false,
//                             "log": false,
//                             "sharedDomain": true
//                         },
//                         "annotate": [],
//                         "size": 0,
//                         "stack": false,
//                         "formatStyle": 1,
//                         "formatDecimal": -1,
//                         "numLevel": 1,
//                         "showType": 0,
//                         "numSeparators": true,
//                         "showHeaderPercent": false,
//                         "showSum": true,
//                         "unit": "",
//                         "dateFormat": {},
//                         "flash": [],
//                         "imageData": []
//                     },
//                     "showMissingTime": false,
//                     "metric": 0,
//                     "counterDep": "TOTAL_ROWS",
//                     "repeatCal": true,
//                     "formatStyle": 0,
//                     "formatDecimal": 0,
//                     "numLevel": 0,
//                     "numSeparators": false,
//                     "used": true,
//                     "drillDimensions": {}
//                 }
//             },
//             "page": 0,
//             "realData": false,
//             "allData": false,
//             "templateChartColorChange": false,
//             "detailSetting": false,
//             "settings": {
//                 "chartAttr": {
//                     "80fe94b6a4ed6d83": {
//                         "dimensionId": "80fe94b6a4ed6d83",
//                         "color": {
//                             "dimensionIds": [
//                                 "ee06940af2c06335"
//                             ],
//                             "hasModified": false,
//                             "auto": true,
//                             "gradient": true,
//                             "overlayEffect": false,
//                             "opacity": 1,
//                             "dimension": {
//                                 "auto": false,
//                                 "customize": false,
//                                 "colors": [
//                                     "#7267e6",
//                                     "#55bef2",
//                                     "#3fb27e",
//                                     "#f95284",
//                                     "#f8d126",
//                                     "#da79f2",
//                                     "#9ccc66",
//                                     "#f88d48",
//                                     "#68d4db",
//                                     "#5182e4",
//                                     "#5156b8",
//                                     "#8854d4",
//                                     "#7267e6",
//                                     "#55bef2",
//                                     "#3fb27e",
//                                     "#f95284",
//                                     "#f8d126",
//                                     "#da79f2",
//                                     "#9ccc66",
//                                     "#f88d48",
//                                     "#68d4db",
//                                     "#5182e4",
//                                     "#5156b8",
//                                     "#8854d4",
//                                     "#7267e6",
//                                     "#55bef2",
//                                     "#3fb27e",
//                                     "#f95284",
//                                     "#f8d126",
//                                     "#da79f2",
//                                     "#9ccc66",
//                                     "#f88d48"
//                                 ]
//                             }
//                         },
//                         "size": {
//                             "dimensionIds": [],
//                             "hasModified": true,
//                             "auto": true,
//                             "intervalWidth": -1,
//                             "roundRadius": -1,
//                             "pointRadius": -1,
//                             "heatRadius": -1,
//                             "lineWidth": 2.225,
//                             "funnelWidth": -1,
//                             "boxWidth": -1,
//                             "nodeWidth": -1,
//                             "gaugeRadius": -1,
//                             "lastSliderPosition": 0.05,
//                             "defaultSizeValue": 0
//                         },
//                         "label": {
//                             "dimensionIds": [],
//                             "hasModified": false,
//                             "auto": true,
//                             "allowOverlap": false,
//                             "hasPositionModified": false,
//                             "levelDimension": false,
//                             "showMeasureSum": false,
//                             "nodeLabelValid": false,
//                             "valid": true
//                         },
//                         "tooltip": {
//                             "dimensionIds": [],
//                             "hasModified": false,
//                             "auto": true,
//                             "forecastKey": "预测",
//                             "shared": false
//                         },
//                         "granularity": {
//                             "dimensionIds": [],
//                             "hasModified": false,
//                             "auto": true
//                         },
//                         "selectedType": "line",
//                         "lineConnect": {
//                             "dimensionIds": [],
//                             "hasModified": false,
//                             "auto": true,
//                             "line": {
//                                 "valid": false,
//                                 "type": "curve"
//                             },
//                             "marker": false
//                         },
//                         "type": "line"
//                     },
//                     "4de250f72de26a23": {
//                         "dimensionId": "4de250f72de26a23",
//                         "color": {
//                             "dimensionIds": [
//                                 "20b9328f64cd69ee"
//                             ],
//                             "hasModified": false,
//                             "auto": true,
//                             "gradient": true,
//                             "overlayEffect": false,
//                             "opacity": -1,
//                             "dimension": {
//                                 "auto": false,
//                                 "customize": false,
//                                 "colors": [
//                                     "#7267e6",
//                                     "#55bef2",
//                                     "#3fb27e",
//                                     "#f95284",
//                                     "#f8d126",
//                                     "#da79f2",
//                                     "#9ccc66",
//                                     "#f88d48",
//                                     "#68d4db",
//                                     "#5182e4",
//                                     "#5156b8",
//                                     "#8854d4",
//                                     "#7267e6",
//                                     "#55bef2",
//                                     "#3fb27e",
//                                     "#f95284",
//                                     "#f8d126",
//                                     "#da79f2",
//                                     "#9ccc66",
//                                     "#f88d48",
//                                     "#68d4db",
//                                     "#5182e4",
//                                     "#5156b8",
//                                     "#8854d4",
//                                     "#7267e6",
//                                     "#55bef2",
//                                     "#3fb27e",
//                                     "#f95284",
//                                     "#f8d126",
//                                     "#da79f2",
//                                     "#9ccc66",
//                                     "#f88d48"
//                                 ]
//                             }
//                         },
//                         "size": {
//                             "dimensionIds": [],
//                             "hasModified": true,
//                             "auto": true,
//                             "intervalWidth": -1,
//                             "roundRadius": -1,
//                             "pointRadius": -1,
//                             "heatRadius": -1,
//                             "lineWidth": 2.225,
//                             "funnelWidth": -1,
//                             "boxWidth": -1,
//                             "nodeWidth": -1,
//                             "gaugeRadius": -1,
//                             "lastSliderPosition": 0.05,
//                             "defaultSizeValue": 0
//                         },
//                         "label": {
//                             "dimensionIds": [],
//                             "hasModified": false,
//                             "auto": true,
//                             "allowOverlap": false,
//                             "hasPositionModified": false,
//                             "levelDimension": false,
//                             "showMeasureSum": false,
//                             "nodeLabelValid": false,
//                             "valid": true
//                         },
//                         "tooltip": {
//                             "dimensionIds": [],
//                             "hasModified": false,
//                             "auto": true,
//                             "forecastKey": "预测",
//                             "shared": false
//                         },
//                         "granularity": {
//                             "dimensionIds": [],
//                             "hasModified": false,
//                             "auto": true
//                         },
//                         "selectedType": "line",
//                         "lineConnect": {
//                             "dimensionIds": [],
//                             "hasModified": false,
//                             "auto": true,
//                             "line": {
//                                 "valid": false,
//                                 "type": "curve"
//                             },
//                             "marker": false
//                         },
//                         "type": "line"
//                     },
//                     "entire": {
//                         "dimensionId": "entire",
//                         "color": {
//                             "dimensionIds": [
//                                 "bce30ce43b0f3786"
//                             ],
//                             "hasModified": false,
//                             "auto": true,
//                             "gradient": true,
//                             "overlayEffect": false,
//                             "opacity": 1,
//                             "borderColor": "",
//                             "nonField": {
//                                 "color": ""
//                             },
//                             "dimension": {
//                                 "auto": true,
//                                 "customize": false,
//                                 "colors": [
//                                     "#498bd8",
//                                     "#4dacdf",
//                                     "#8fcaf3",
//                                     "#fba750",
//                                     "#ffc17d",
//                                     "#91d482",
//                                     "#63ab59",
//                                     "#7fcac6",
//                                     "#02a6bb",
//                                     "#60c2e3",
//                                     "#e9c8c1",
//                                     "#e4735d",
//                                     "#498bd8",
//                                     "#4dacdf",
//                                     "#8fcaf3",
//                                     "#fba750",
//                                     "#ffc17d",
//                                     "#91d482",
//                                     "#63ab59",
//                                     "#7fcac6",
//                                     "#02a6bb",
//                                     "#60c2e3",
//                                     "#e9c8c1",
//                                     "#e4735d",
//                                     "#498bd8",
//                                     "#4dacdf",
//                                     "#8fcaf3",
//                                     "#fba750",
//                                     "#ffc17d",
//                                     "#91d482",
//                                     "#63ab59",
//                                     "#7fcac6"
//                                 ],
//                                 "colorMap": {}
//                             },
//                             "measure": {
//                                 "gradientType": "continuous",
//                                 "name": "auto",
//                                 "autoInterval": true,
//                                 "count": 2,
//                                 "custom": {
//                                     "min": 0,
//                                     "max": 0,
//                                     "ranges": []
//                                 }
//                             },
//                             "gauge": {
//                                 "pointColor": "",
//                                 "tickColor": "",
//                                 "tickSlotColor": "",
//                                 "hubColor": "",
//                                 "hubBackgroundColor": "",
//                                 "backgroundColor": ""
//                             }
//                         },
//                         "size": {
//                             "dimensionIds": [],
//                             "hasModified": false,
//                             "auto": true,
//                             "intervalWidth": 30,
//                             "roundRadius": 0,
//                             "pointRadius": 11,
//                             "heatRadius": 40,
//                             "square": {
//                                 "width": 30,
//                                 "innerRadiusRatio": 0.5,
//                                 "convert2MultiPie": false
//                             },
//                             "lineWidth": -1,
//                             "text": {
//                                 "size": 50,
//                                 "valid": true
//                             },
//                             "funnelWidth": 1,
//                             "boxWidth": -1,
//                             "nodeWidth": -1,
//                             "gaugeRadius": 0.7,
//                             "pieRadius": {
//                                 "sameRadius": true,
//                                 "radius": 40,
//                                 "innerRadiusRatio": 0.75
//                             },
//                             "lastSliderPosition": -1,
//                             "defaultSizeValue": 0
//                         },
//                         "label": {
//                             "dimensionIds": [],
//                             "hasModified": false,
//                             "auto": true,
//                             "position": "outside",
//                             "showWay": "all",
//                             "allowOverlap": false,
//                             "autoAdjust": "hide",
//                             "hasPositionModified": false,
//                             "levelDimension": false,
//                             "showMeasureSum": false,
//                             "nodeLabelValid": false,
//                             "valid": true
//                         },
//                         "tooltip": {
//                             "dimensionIds": [],
//                             "hasModified": false,
//                             "auto": true,
//                             "background": "",
//                             "forecastKey": "预测",
//                             "shared": false
//                         },
//                         "granularity": {
//                             "dimensionIds": [],
//                             "hasModified": false,
//                             "auto": true
//                         },
//                         "symbol": {
//                             "dimensionIds": [],
//                             "hasModified": false,
//                             "auto": true,
//                             "symbolType": "geometric",
//                             "symbol": "geometry_1",
//                             "measure": {
//                                 "autoInterval": true,
//                                 "count": 2,
//                                 "custom": {
//                                     "min": 0,
//                                     "max": 0,
//                                     "ranges": []
//                                 }
//                             },
//                             "symbols": [
//                                 "geometry_1",
//                                 "geometry_2",
//                                 "geometry_3",
//                                 "geometry_4",
//                                 "geometry_5",
//                                 "geometry_6",
//                                 "geometry_7",
//                                 "geometry_8",
//                                 "geometry_9",
//                                 "geometry_10"
//                             ]
//                         },
//                         "type": "point"
//                     }
//                 },
//                 "chartStyle": {
//                     "legend": {
//                         "enabled": true,
//                         "fontStyle": {
//                             "auto": false,
//                             "type": 0,
//                             "fontFamily": "Microsoft YaHei",
//                             "fontSize": 10,
//                             "fontColor": "",
//                             "fontBold": false,
//                             "bold": false,
//                             "italic": false,
//                             "fontAlign": 0
//                         },
//                         "borderColor": "transparent",
//                         "position": "top",
//                         "titleEnabled": true
//                     },
//                     "axis": {
//                         "enabled": false,
//                         "type": "solid",
//                         "color": "",
//                         "width": 1
//                     },
//                     "hGrid": {
//                         "enabled": false,
//                         "type": "solid",
//                         "color": "",
//                         "width": 1
//                     },
//                     "vGrid": {
//                         "enabled": false,
//                         "type": "solid",
//                         "color": "",
//                         "width": 1
//                     },
//                     "adaptive": {
//                         "type": "fit"
//                     }
//                 },
//                 "tableStyle": {
//                     "form": 1,
//                     "style": 0,
//                     "themeColor": null,
//                     "showTitle": false,
//                     "freezeDim": true,
//                     "freezeNumbers": 1,
//                     "transmitLinkages": false,
//                     "expandRowHeader": false,
//                     "expandColHeader": false,
//                     "showRowSum": true,
//                     "showColSum": true,
//                     "showSequence": false,
//                     "showRowInfo": true,
//                     "textWrapper": false,
//                     "rowHeight": 25,
//                     "detailRowCounts": 0,
//                     "rowCounts": 20,
//                     "colCounts": 7,
//                     "totalRows": 1000,
//                     "sumRowText": null,
//                     "showChildRowSum": true,
//                     "showChildColSum": true,
//                     "headerTextWrapper": null,
//                     "headerRowHeight": 0,
//                     "rowPosition": null,
//                     "colPosition": null,
//                     "font": {
//                         "type": 1,
//                         "header": {
//                             "fontFamily": null,
//                             "fontSize": null,
//                             "bold": null,
//                             "italic": null,
//                             "underline": null,
//                             "fontAlign": null,
//                             "fontColor": null
//                         },
//                         "body": {
//                             "fontFamily": null,
//                             "fontSize": null,
//                             "bold": null,
//                             "italic": null,
//                             "underline": null,
//                             "dimFontAlign": null,
//                             "tarFontAlign": null,
//                             "fontColor": null
//                         }
//                     },
//                     "metric": {
//                         "show": true,
//                         "position": 3,
//                         "type": 1
//                     }
//                 },
//                 "transmitLinkages": true,
//                 "tableAttr": {
//                     "equalDivideColumn": false,
//                     "color": {
//                         "all": {
//                             "dims": [],
//                             "color": "",
//                             "conditions": []
//                         }
//                     },
//                     "shape": {
//                         "all": {
//                             "shape": -1,
//                             "color": "",
//                             "dims": [],
//                             "conditionsList": [
//                                 {
//                                     "closeMin": true,
//                                     "closeMax": false,
//                                     "max": 0,
//                                     "shape": -1,
//                                     "color": ""
//                                 },
//                                 {
//                                     "closeMin": true,
//                                     "min": 0,
//                                     "closeMax": true,
//                                     "max": 0,
//                                     "shape": -1,
//                                     "color": ""
//                                 },
//                                 {
//                                     "closeMin": false,
//                                     "min": 0,
//                                     "closeMax": true,
//                                     "shape": -1,
//                                     "color": ""
//                                 }
//                             ]
//                         }
//                     },
//                     "filterValue": {}
//                 },
//                 "titleBackground": {
//                     "type": "color",
//                     "color": "transparent",
//                     "imageId": ""
//                 },
//                 "widgetBackground": {
//                     "type": "image",
//                     "color": "transparent",
//                     "imageId": "MapCache1543825840497_641",
//                     "borderRadius": -1,
//                     "borderSize": -1,
//                     "borderColor": null
//                 },
//                 "titleHeight": 17,
//                 "nameStyleType": 2,
//                 "gisBackground": {
//                     "show": true,
//                     "normal": false,
//                     "layer": null,
//                     "zoomIn": null,
//                     "zoomOut": null
//                 }
//             },
//             "linkageSetting": {
//                 "73fa1cbff68961a2": {
//                     "enable": true,
//                     "depSetting": {
//                         "auto": true,
//                         "dep": []
//                     }
//                 },
//                 "e82b853ce98e3e14": {
//                     "enable": true,
//                     "depSetting": {
//                         "auto": true,
//                         "dep": []
//                     }
//                 },
//                 "e464966c89991e86": {
//                     "enable": true,
//                     "depSetting": {
//                         "auto": true,
//                         "dep": []
//                     }
//                 },
//                 "1fd300cfb0b107f6": {
//                     "enable": true,
//                     "depSetting": {
//                         "auto": true,
//                         "dep": []
//                     }
//                 },
//                 "a42c1b69073712d5": {
//                     "enable": true,
//                     "depSetting": {
//                         "auto": true,
//                         "dep": []
//                     }
//                 },
//                 "dfa7c7802b2a9599": {
//                     "enable": true,
//                     "depSetting": {
//                         "auto": true,
//                         "dep": []
//                     }
//                 }
//             },
//             "linkage": {},
//             "jump": [],
//             "openJump": true,
//             "dimensionGroups": {
//                 "dbc9d624ddaa0f19_分析表1_[6d4f][89c8][91cf]_3_0": {
//                     "group": "dbc9d624ddaa0f19_分析表1_[6d4f][89c8][91cf]_3_0",
//                     "dimensionIds": [
//                         "80fe94b6a4ed6d83"
//                     ]
//                 },
//                 "dbc9d624ddaa0f19_分析表1_[8bbf][95ee][6b21][6570]_3_0": {
//                     "group": "dbc9d624ddaa0f19_分析表1_[8bbf][95ee][6b21][6570]_3_0",
//                     "dimensionIds": [
//                         "4de250f72de26a23"
//                     ]
//                 },
//                 "dbc9d624ddaa0f19___target_name_field_id___11_0": {
//                     "group": "dbc9d624ddaa0f19___target_name_field_id___11_0",
//                     "dimensionIds": [
//                         "ee06940af2c06335",
//                         "20b9328f64cd69ee",
//                         "af57516db4446ceb",
//                         "bce30ce43b0f3786"
//                     ]
//                 },
//                 "dbc9d624ddaa0f19_分析表1_[7edf][8ba1][65e5][671f]_17": {
//                     "group": "dbc9d624ddaa0f19_分析表1_[7edf][8ba1][65e5][671f]_17",
//                     "dimensionIds": [
//                         "34da90eaf09d44ab"
//                     ]
//                 }
//             },
//             "drillOrder": [],
//             "resultFilter": [],
//             "columnSize": [],
//             "regionColumnSize": [],
//             "tableWidth": 0,
//             "equallyDivideColumn": false,
//             "uploadedImages": [],
//             "wId": "dbc9d624ddaa0f19",
//             "measures": [
//                 {
//                     "name": "浏览量",
//                     "id": "分析表1_[6d4f][89c8][91cf]",
//                     "type": 32,
//                     "geoType": 0,
//                     "transform": false,
//                     "copied": false,
//                     "drilled": false,
//                     "group": {
//                         "summary_3": {
//                             "cal": {
//                                 "cal_0": {
//                                     "repeatCal": true,
//                                     "settings": {
//                                         "trendLine": [],
//                                         "cordon": [],
//                                         "annotate": [],
//                                         "size": 0,
//                                         "stack": false,
//                                         "formatStyle": 1,
//                                         "formatDecimal": -1,
//                                         "numLevel": 1,
//                                         "showType": 0,
//                                         "numSeparators": true,
//                                         "showHeaderPercent": false,
//                                         "showSum": true,
//                                         "unit": "",
//                                         "flash": [],
//                                         "imageData": []
//                                     },
//                                     "useDataBar": false,
//                                     "showMissingTime": false
//                                 }
//                             },
//                             "repeatCal": true,
//                             "useDataBar": false,
//                             "showMissingTime": false
//                         }
//                     }
//                 },
//                 {
//                     "name": "访问次数",
//                     "id": "分析表1_[8bbf][95ee][6b21][6570]",
//                     "type": 32,
//                     "geoType": 0,
//                     "transform": false,
//                     "copied": false,
//                     "drilled": false,
//                     "group": {
//                         "summary_3": {
//                             "cal": {
//                                 "cal_0": {
//                                     "repeatCal": true,
//                                     "settings": {
//                                         "trendLine": [],
//                                         "cordon": [],
//                                         "annotate": [],
//                                         "size": 0,
//                                         "stack": false,
//                                         "formatStyle": 1,
//                                         "formatDecimal": -1,
//                                         "numLevel": 1,
//                                         "showType": 0,
//                                         "numSeparators": true,
//                                         "showHeaderPercent": false,
//                                         "showSum": true,
//                                         "unit": "",
//                                         "flash": [],
//                                         "imageData": []
//                                     },
//                                     "useDataBar": false,
//                                     "showMissingTime": false
//                                 }
//                             },
//                             "repeatCal": true,
//                             "useDataBar": false,
//                             "showMissingTime": false
//                         }
//                     }
//                 }
//             ]
//         },
//     },
//     "initTime": 1547435281363,
//     "reportId": "4fc4bc9c2a4a4083b5f4a5d8d632ccae",
//     "reportName": "公司综合运营驾驶舱",
//     "templateStyle": {
//         "predictionStyles": [],
//         "style": {
//             "id": "DARK",
//             "theme": "bi-theme-dark",
//             "name": null,
//             "initTime": 0,
//             "widgetGap": 6,
//             "templateBackground": {
//                 "type": "image",
//                 "color": "transparent",
//                 "imageId": "MapCache1547435365614_465"
//             },
//             "widgetBackground": {
//                 "type": "color",
//                 "color": "transparent",
//                 "imageId": "",
//                 "borderRadius": -1,
//                 "borderSize": -1,
//                 "borderColor": null
//             },
//             "titleBackground": {
//                 "type": "color",
//                 "color": "",
//                 "imageId": ""
//             },
//             "titleFont": {
//                 "type": 1,
//                 "fontFamily": "Microsoft YaHei, PingFangSC-Light",
//                 "fontSize": 12,
//                 "bold": false,
//                 "italic": false,
//                 "underline": false,
//                 "fontColor": "",
//                 "fontAlign": 1
//             },
//             "chart": {
//                 "gradient": [],
//                 "chartColor": [],
//                 "font": {
//                     "type": 1,
//                     "fontFamily": "Microsoft YaHei, PingFangSC-Light",
//                     "fontSize": 12,
//                     "bold": false,
//                     "italic": false,
//                     "underline": false,
//                     "fontColor": ""
//                 },
//                 "customChartColor": false
//             },
//             "table": {
//                 "tableStyle": 1,
//                 "themeColor": "#3b64a2",
//                 "font": {
//                     "type": 1,
//                     "header": {
//                         "fontFamily": "Microsoft YaHei, PingFangSC-Light",
//                         "fontSize": 12,
//                         "bold": false,
//                         "italic": false,
//                         "underline": false,
//                         "fontColor": "",
//                         "fontAlign": 2
//                     },
//                     "body": {
//                         "fontFamily": "Microsoft YaHei, PingFangSC-Light",
//                         "fontSize": 12,
//                         "bold": false,
//                         "italic": false,
//                         "underline": false,
//                         "fontColor": "",
//                         "dimFontAlign": 1,
//                         "tarFontAlign": 3
//                     }
//                 }
//             },
//             "controlTheme": "",
//             "controlWidget": {
//                 "titleFont": {
//                     "type": 1,
//                     "fontFamily": "Microsoft YaHei, PingFangSC-Light",
//                     "fontSize": 12,
//                     "bold": false,
//                     "italic": false,
//                     "underline": false,
//                     "fontColor": "",
//                     "fontAlign": 1
//                 },
//                 "titleBackground": {
//                     "type": "color",
//                     "color": "",
//                     "imageId": ""
//                 },
//                 "widgetBackground": {
//                     "type": "color",
//                     "color": "transparent",
//                     "imageId": "",
//                     "borderRadius": -1,
//                     "borderSize": -1,
//                     "borderColor": null
//                 }
//             },
//             "styleThemeColor": null,
//             "currentStyleTab": 0,
//             "tabWidget": null
//         }
//     },
//     "mobileWidgetConfig": {
//         "sequence": null,
//         "layoutRatio": null,
//         "controlShowType": 0,
//         "fitGap": 10,
//         "fitBackground": null
//     },
//     "linkageGroup": [],
//     "createBy": 0,
//     "filter": null,
//     "freeWidgetIds": [
//         "dbc9d624ddaa0f19",
//         "701fce16b91fbf3c",
//         "ebbfca6c8bd9b421",
//         "950ba0aeada88ef1",
//         "a0b629a3323092c7",
//         "4dbef94d223c346a",
//         "c17ab897816caa9c",
//         "f392a69d0afdc525",
//         "8bb64307d48c57b8",
//         "2499a786250c3855",
//         "a5e26e56f1296433"
//     ],
//     "injection": null,
//     "cancelDefaultLinkage": false
// });

// console.log(paper1.score());